Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004207TestLinkDatabase MS-SQLpublic2011-01-31 16:152011-03-18 19:08
Reporter2vpetrov 
Assigned Tofman 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOS2003OS Version
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.2 (2011 Q2 - bug fixing) 
Summary0004207: SQL error Class:testcase - Method: set_step_number */ UPDATE tcsteps TC_STEP SET step_number = 2 WHERE TC_STEP.id = 56
Description0000010 ADOConnection->_Execute(/* Class:testcase - Method: set_step_number */ UPDATE tcsteps TC_STEP SET step_number = 2 WHERE TC_STEP.id = 56 , ) called at [C:\app\httpd\htdocs\third_party\adodb\adodb.inc.php:1012]

In this case, use the table alias is optional and can be done so

UPDATE tcsteps SET step_number = 2 WHERE id = 56

To use an alias to write so

UPDATE tcsteps SET step_number = 2
from tcsteps TC_STEP
WHERE TC_STEP.id = 56
Steps To ReproduceChange test case step number
TagsNo tags attached.
Database (MySQL,Postgres,etc)MS SQL 2005
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0013485)
fman (administrator)
2011-01-31 18:38

Please in addition to give solution we also like to know on what feature this happens is better from an user point of view
(0013992)
fman (administrator)
2011-03-18 19:08

release - 1.9.2 - 20110320

- Issue History
Date Modified Username Field Change
2011-01-31 16:15 2vpetrov New Issue
2011-01-31 18:38 fman Note Added: 0013485
2011-01-31 18:38 fman Assigned To => fman
2011-01-31 18:38 fman Status new => assigned
2011-02-05 14:28 fman Status assigned => resolved
2011-02-05 14:28 fman Fixed in Version => 1.9.2 (2011 Q2 - bug fixing)
2011-02-05 14:28 fman Resolution open => fixed
2011-03-18 19:08 fman Note Added: 0013992
2011-03-18 19:08 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker